Skip to main content
GET
List bot flow versions

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the bot flow.

Example:

1

Response

Success

id
integer

The numeric ID of the version. This is what rollback takes.

version_number
integer

Sequential within the flow, starting at 1.

label
string | null

The note supplied when the version was created.

graph
object

The flow graph — nodes and edges.

created_by_id
integer | null

The agent who created the version.

created_at
string

ISO-8601 timestamp.